| Home | Libraries | People | FAQ | More

# http::server Namespace Reference

## Classes

class | connection
| Represents a single connection from a client. More...
class | connection_manager
| Manages open connections so that they may be cleanly stopped when the server needs to shut down. More...
struct | header
struct | reply
| A reply to be sent to a client. More...
struct | request
| A request received from a client. More...
class | request_handler
| The common handler for all incoming requests. More...
class | request_parser
| Parser for incoming requests. More...
class | server
| The top-level class of the HTTP server. More...

## Namespaces

namespace | mime_types
namespace | status_strings
namespace | misc_strings
namespace | stock_replies

## Typedefs

typedef boost::shared_ptr< connection > | connection_ptr

## Typedef Documentation

typedef boost::shared_ptr<connection> http::server::connection_ptr

Definition at line 67 of file connection.hpp.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff